require 'spec_helper'

describe ModBaby do
  it 'initializes a new ratio hash' do
    @new_hash = ModBaby::Ratio.new("Ratio Name", "42")
    @new_hash.name.should == "Ratio Name"
    @new_hash.value.should == "42"
  end

  it 'has equal number of choices and ratios' do
    ModBaby::Choices.list.split("\n").length.should == ModBaby::Ratios.count
  end

  it 'returns the steps in the modular scale in pixels' do
    ModBaby::ModularScale.calculate_scale(10,2).keys.should include(13.33)
  end

  it 'returns the steps in the modular scale in ems' do
    ModBaby::ModularScale.calculate_scale(17,1).values.should include(2.618)
  end
end
